## pgbackrest 2.33

=== debian/changelog ===
pgbackrest (2.33-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix option warnings breaking async archive-get/archive-push.
      * Fix memory leak in backup during archive copy.
      * Fix stack overflow in cipher passphrase generation.
      * Fix repo-ls / on S3 repositories.
    - Features:
      * Multiple repository support.
      * GCS support for repository storage.
      * Add archive-header-check option.
    - Improvements:
      * Include recreated system databases during selective restore.
      * Exclude content-length from S3 signed headers.
      * Consolidate less commonly used repository storage options.
      * Allow custom config-path default with ./configure --with-configdir.
      * Log archive copy during backup.
    - Documentation Improvements:
      * Update reference to include links to user guide examples.
      * Update selective restore documentation with caveats.
      * Add compress-type clarification to archive-copy documentation.
      * Add compress-level defaults per compress-type value.
      * Add note about required NFS settings being the same as PostgreSQL.
  * d/control: Add libyaml-libyaml-perl to D-B.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 06 Apr 2021 19:22:00 +0200

=== debian/control ===
Source: pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10~),
               libbz2-dev,
               liblz4-dev,
               libpq-dev,
               libssl-dev,
               libxml-checker-perl,
               libyaml-libyaml-perl (>= 0.67),
               libxml2-dev,
               libzstd-dev,
               perl,
               pkg-config,
               txt2man,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.pgbackrest.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

Package: pgbackrest
Architecture: any
Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: pgbackrest-doc, check-pgbackrest
Description: Reliable PostgreSQL Backup & Restore
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 This package contains all required binaries, scripts and libraries.

Package: pgbackrest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation package for pgbackrest
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 The pgBackRest documentation contains detailed information about the
 configuration and usage of pgBackRest.

=== debian/watch ===
version=3
https://github.com/pgbackrest/pgbackrest/releases .*/(.*).tar.gz

## pgbackrest 2.34

=== debian/changelog ===
pgbackrest (2.34-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 14 Jun 2021 13:48:40 +0200

pgbackrest (2.34-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix issues with leftover spool files from a prior restore.
      * Fix issue when checking links for large numbers of tablespaces.
      * Free no longer needed remotes so they do not timeout during restore.
      * Fix help when a valid option is invalid for the specified command.
    - Features:
      * Add PostgreSQL 14 support.
      * Add automatic GCS authentication for GCE instances.
      * Add repo-retention-history option to expire backup history.
      * Add db-exclude option.
    - Improvements:
      * Change archive expiration logging from detail to info level.
      * Remove stanza archive spool path on restore.
      * Do not write files atomically or sync paths during backup copy.
    - Documentation Improvements:
      * Update contributing documentation.
      * Consolidate RHEL/CentOS user guide into a single document.
      * Clarify that repo-s3-role is not an ARN.
  * d/patches: Update ppc64el gcc patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 14 Jun 2021 13:48:40 +0200

## pgbackrest 2.36

=== debian/changelog ===
pgbackrest (2.36-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 22 Nov 2021 14:10:06 +0100

pgbackrest (2.36-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Nov 2021 14:10:06 +0100

pgbackrest (2.35-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 29 Aug 2021 12:42:49 +0200

pgbackrest (2.35-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper and
      libyaml-libyaml-perl.

  [ Adrian Vondendriesch ]
  * New Upstream Release:
    - IMPORTANT NOTE: The log level for copied files in the backup/restore
      commands has been changed to detail. This makes the info log level less
      noisy but if these messages are required then set the log level for the
      backup/restore commands to detail.
    - Bug Fixes:
      * Detect errors in S3 multi-part upload finalize.
      * Fix detection of circular symlinks.
      * Only pass selected repo options to the remote.
    - Improvements:
      * Binary protocol.
      * Automatically create data directory on restore.
      * Allow restore --type=lsn.
      * Change level of backup/restore copied file logging to detail.
      * Loop while waiting for checkpoint LSN to reach replay LSN.
      * Log backup file total and restore size/file total.
    - Documentation Bug Fixes:
      * Fix incorrect host names in user guide.
    - Documentation Improvements:
      * Update contributing documentation and add pull request template.
      * Rearrange backup documentation in user guide.
      * Clarify restore --type behavior in command reference.
      * Fix documentation and comment typos.
    - Test Suite Improvements:
      * Add check for test path inside repo path.
      * Add CodeQL static code analysis.
      * Update tests to use standard patterns.
  * d/control:
    - Update B-D add libyaml-dev.
    - Update standards version to 4.5.0, no changes needed.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 26 Aug 2021 21:21:21 +0200

pgbackrest (2.34-1) experimental; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix issues with leftover spool files from a prior restore.
      * Fix issue when checking links for large numbers of tablespaces.
      * Free no longer needed remotes so they do not timeout during restore.
      * Fix help when a valid option is invalid for the specified command.
    - Features:
      * Add PostgreSQL 14 support.
      * Add automatic GCS authentication for GCE instances.
      * Add repo-retention-history option to expire backup history.
      * Add db-exclude option.
    - Improvements:
      * Change archive expiration logging from detail to info level.
      * Remove stanza archive spool path on restore.
      * Do not write files atomically or sync paths during backup copy.
    - Documentation Improvements:
      * Update contributing documentation.
      * Consolidate RHEL/CentOS user guide into a single document.
      * Clarify that repo-s3-role is not an ARN.
  * d/patches: Update ppc64el gcc patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 14 Jun 2021 13:48:40 +0200

## pgbackrest 2.37

=== debian/changelog ===
pgbackrest (2.37-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix restore delta link mapping when path/file already exists.
      * Fix socket leak on connection retries.
    - Features:
      * Add TLS server.
      * Add --cmd option.
    - Improvements:
      * Check archive immediately after backup start.
      * Add timeline and checkpoint checks to backup.
      * Check that clusters are alive and correctly configured during a backup.
      * Error when restore is unable to find a backup to match the time target.
      * Parse protocol/port in S3/Azure endpoints.
      * Add warning when checkpoint_timeout exceeds db-timeout.
      * Add verb to HTTP error output.
      * Allow y/n arguments for boolean command-line options.
      * Make backup size logging exactly match info command output.
    - Documentation Improvements:
      * Display size option default and allowed values with appropriate units.
      * Fix typos and improve documentation for the tablespace-map-all option.
      * Remove obsolete statement about future multi-repository support.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 04 Jan 2022 11:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                libbz2-dev,
                liblz4-dev,
                libpq-dev,
                libssl-dev,
                libxml-checker-perl,
+               libyaml-dev,
                libyaml-libyaml-perl (>= 0.67),
                libxml2-dev,
                libzstd-dev,
@@ -17,7 +18,7 @@
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

=== debian/rules ===
#!/usr/bin/make -f

MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	# src contains a seperate configure script.
	cd $(CURDIR)/src && ./configure --prefix=/usr --bindir=/usr/bin
	dh_auto_configure

override_dh_auto_build:
	# Replace user name in doc cache with the current user
	[ $$(whoami) = root ] || sed -i "s/vagrant/$$(whoami)/g" $(CURDIR)/doc/resource/exe.cache

	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
	  --var=project-url-root=index.html --exclude=backlog \
	  --var=release-date-static=y
	txt2man \
	  -v "pgBackRest Command Reference" \
	  -t pgbackrest \
	  -s 1 \
	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
	make -C $(CURDIR)/src/
	dh_auto_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/doc/output
	dh_auto_clean

override_dh_auto_install:
	make -C src install DESTDIR=$(CURDIR)/debian/pgbackrest
	dh_auto_install

.PHONY: build

build:
	dh build

=== debian/watch ===
version=4
https://github.com/pgbackrest/pgbackrest/releases .*/(.*).tar.gz

## pgbackrest 2.40

=== debian/changelog ===
pgbackrest (2.40-3.pgdg20.04+~20220727.1056.gc9dab88) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 27 Jul 2022 08:57:00 +0200

pgbackrest (2.40-3) UNRELEASED; urgency=medium

  * d/pgbackrest.service: Fix ExecReload command.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 27 Jul 2022 08:57:00 +0200

pgbackrest (2.40-2) unstable; urgency=medium

  * d/patches: Reintroduce ppc64 patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 22 Jul 2022 14:14:09 +0200

pgbackrest (2.40-1) unstable; urgency=medium

  * New Upstream Release:
    - Improvements:
      * OpenSSL 3 support.
      * Create snapshot when listing contents of a path.
      * Force target-timeline=current when restore type=immediate.
      * Truncate files during delta restore when they are larger than expected.
      * Disable incremental manifest save when resume=n.
      * Set backup percent complete to zero before copy start.
      * Use S3 IsTruncated flag to determine list continuation.
    - Documentation Bug Fixes:
      * Skip internal options in the configuration reference.
    - Documentation Improvements:
      * Add link to PostgreSQL configuration in repository host section.
    - Test Suite Improvements:
      * Add experimental Meson build.
      * Allow any path to be passed to the --test-path option.
      * Fix compile error when DEBUG_EXEC_TIME is defined without DEBUG.
  * d/patches: Remove unnecessary ppc64 patch.
  * d/rules: Manually set buildsystem=makefile.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 22 Jul 2022 09:45:12 +0200

pgbackrest (2.39-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix error thrown from FINALLY() causing an infinite loop.
      * Error on all lock failures except another process holding the lock.
    - Features:
      * Backup file bundling for improved small file support.
      * Verify command to validate the contents of a repository.
      * PostgreSQL 15 support.
      * Show backup percent complete in info output.
      * Auto-select backup for restore command --type=lsn.
      * Suppress existing WAL warning when archive-mode-check is disabled.
      * Add AWS IMDSv2 support.
    - Improvements:
      * Allow repo-hardlink option to be changed after full backup.
      * Increase precision of percent complete logging for backup and restore.
      * Improve path validation for repo-* commands.
      * Improve stop command to honor stanza option.
      * Improve error message for invalid repo-azure-key.
      * Add hint to check the log on archive-get/archive-push async error.
      * Add ClockError for unexpected clock skew and timezone changes.
      * Strip extensions from history manifest before showing in error
        message.
      * Add user:group to lock permission error.
    - Documentation Bug Fixes:
      * Fix incorrect reference to stanza-update in the user guide.
      * Fix example for repo-gcs-key-type option in configuration reference.
      * Fix tls-server-auth example and add clarifications.
    - Documentation Improvements:
      * Simplify messaging around supported versions in the documentation.
      * Add option type descriptions.
      * Add FAQ about backup types and restore speed.
      * Document required base branch for pull requests.
  * d/pgbackrest.service: Include systemd unit file (disabled by default).

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 22 May 2022 15:29:42 +0200

pgbackrest (2.38-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Retry errors in S3 batch file delete.
      * Allow case-insensitive matching of HTTP connection header values.
    - Features:
      * Add support for AWS S3 server-side encryption using KMS.
      * Add archive-missing-retry option.
      * Add backup type filter to info command.
    - Improvements:
      * Retry on page validation failure during backup.
      * Handle TLS servers that do not close connections gracefully.
      * Add backup LSNs to info command output.
      * Automatically strip trailing slashes for repo-ls paths.
      * Do not retry fatal errors.
      * Remove support for PostgreSQL 8.3/8.4.
      * Remove logic that tried to determine additional file system compression.
    - Documentation Bug Fixes:
      * Move repo options in TLS documentation to the global section.
      * Remove unused backup-standby option from stanza commands.
      * Fix typos in help and release notes.
    - Documentation Improvements:
      * Add aliveness check to systemd service configuration.
      * Add FAQ explaining WAL archive suffix.
      * Note that replications slots are not restored.
  * d/pgbackrest.conf: Update configuration parameters.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 13 Mar 2022 14:28:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 12),
                libbz2-dev,
                liblz4-dev,
                libpq-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,12 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@
+	dh $@ --buildsystem=makefile
 
 override_dh_auto_configure:
 	# src contains a seperate configure script.
 	cd $(CURDIR)/src && ./configure --prefix=/usr --bindir=/usr/bin
-	dh_auto_configure
+	dh_auto_configure --buildsystem=makefile
 
 override_dh_auto_build:
 	# Replace user name in doc cache with the current user
@@ -39,6 +39,11 @@
 	make -C src install DESTDIR=$(CURDIR)/debian/pgbackrest
 	dh_auto_install
 
+# pgBackRest must be configured before the TLS server can be started.
+# Moreover a user must configure valid CA, client and server certificates.
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
+
 .PHONY: build
 
 build:

## pgbackrest 2.44

=== debian/changelog ===
pgbackrest (2.44-1) unstable; urgency=medium

  * New Upstream Release:
    - Improvements:
      * Remove support for PostgreSQL 9.0/9.1/9.2.
      * Restore errors when no backup matches the current version of PostgreSQL.
      * Add compress-level range checking for each compress-type.
    - Documentation Improvements:
      * Add warning about enabling "hierarchical namespace" on Azure storage.
      * Add replacement for linefeeds in monitoring example.
      * Clarify target-action behavior on various PostgreSQL versions.
      * Updates and clarifications to index page.
      * Add dark mode to the website.
  * debian/patches: remove obsolet pcc64 const patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 31 Jan 2023 09:59:13 +0100

pgbackrest (2.43-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix missing reference in diff/incr backup.
    - Improvements:
      * Add hint when an option is specified without an index.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 28 Nov 2022 14:31:04 +0100

pgbackrest (2.42-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix memory leak in file bundle backup/restore.
      * Fix protocol error on short read of remote file.
    - Improvements:
      * Do not store references for zero-length files when bundling.
      * Use more generic descriptions for pg_start_backup()/pg_stop_backup().
    - Test Suite Improvements:
      * Update test.pl --psql-bin option to match command-line help.
  * d/control: Update standards version to 4.6.1.1, no changes needed.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 23 Nov 2022 09:38:59 +0100

pgbackrest (2.41-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix incorrect time expiration being used for non-default repositories.
      * Fix issue when listing directories recursively with a filter.
    - Features:
      * Backup key/value annotations.
    - Improvements:
      * Support --set in JSON output for info command.
      * Update archive.info timestamps after a successful backup.
      * Move standby timeline check after checkpoint.
      * Improve warning message on backup resume.
    - Documentation Improvements:
      * Add absolute path for kill in pgbackrest.service.
  * d/watch: Adjust watchfile.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 23 Sep 2022 19:27:03 +0200

pgbackrest (2.40-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Vondendriesch ]
  * d/pgbackrest.service: Fix ExecReload command.

  [ Christoph Berg ]
  * Use dh --sourcedirectory=src.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Aug 2022 10:27:14 +0200

## pgbackrest 2.45

=== debian/changelog ===
pgbackrest (2.45-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Skip writing recovery.signal by default for restores of offline
      backups.
    - Features:
      * Block incremental backup (BETA).
    - Improvements:
      * Keep only one all-default group index.
    - Documentation Improvements:
      * Add explicit instructions for upgrading between 2.x versions.
      * Remove references to SSH made obsolete when TLS was introduced.


 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 27 Mar 2023 19:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                libbz2-dev,
                liblz4-dev,
                libpq-dev,
@@ -18,7 +18,7 @@
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.1
 Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

=== debian/rules ===
#!/usr/bin/make -f

MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export DH_VERBOSE = 1

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	# src contains a separate configure script.
	dh_auto_configure --sourcedirectory=src -- --prefix=/usr --bindir=/usr/bin

override_dh_auto_build:
	# Replace user name in doc cache with the current user
	[ $$(whoami) = root ] || sed -i "s/vagrant/$$(whoami)/g" $(CURDIR)/doc/resource/exe.cache

	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
	  --var=project-url-root=index.html --exclude=backlog \
	  --var=release-date-static=y
	txt2man \
	  -v "pgBackRest Command Reference" \
	  -t pgbackrest \
	  -s 1 \
	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
	dh_auto_build --sourcedirectory=src

override_dh_auto_clean:
	! [ -f src/Makefile ] || $(MAKE) -C src clean-all

# pgBackRest must be configured before the TLS server can be started.
# Moreover a user must configure valid CA, client and server certificates.
override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## pgbackrest 2.47

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libbz2-dev,
                liblz4-dev,
                libpq-dev,
+               libssh2-1-dev,
                libssl-dev,
                libxml-checker-perl,
                libyaml-dev,
@@ -18,7 +19,7 @@
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2
 Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

## pgbackrest 2.50

=== meson_options.txt ===
option('configdir', type: 'string', value: '/etc/pgbackrest', description: 'Configuration directory')
option('fatal-errors', type: 'boolean', value: false, description: 'Stop compilation on first error')
option('force-release', type: 'boolean', value: false, description: 'Force a release build (for testing only!)')

=== debian/changelog ===
pgbackrest (2.50-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:15 +1100

pgbackrest (2.50-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:01:39 +0000

pgbackrest (2.50-1) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * d/rules: Add --restart-after-upgrade option to dh_installsystemd.
    (Closes: #1025936)

  [ Bradford D. Boyle ]
  * New Upstream Release
    - Bug Fixes:
      * Fix short read in block incremental restore.
      * Fix overflow suppressing backup progress in info output.
    - Improvements:
      * Preserve partial files during block incremental delta restore.
      * Add support for alternate compile-time page sizes.
      * Skip files truncated during backup when bundling.
      * Improve SFTP storage error messages.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 23 Jan 2024 00:19:49 +0000

pgbackrest (2.49-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix regression in retries.
      * Fix recursive path remove in SFTP storage driver.
    - Improvements:
      * Remove support for PostgreSQL 9.3.
    - Documentation Features:
      * Document maintainer options.
      * Update point-in-time recovery documentation for PostgreSQL >= 13.
    - Test Suite Improvements:
      * Allow config/load unit test to run without libssh2 installed.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 28 Nov 2023 09:45:02 +0000

pgbackrest (2.48-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix issue restoring block incremental without a block list.
    - Features:
      * Add --repo-storage-tag option to create object tags.
      * Add known hosts checking for SFTP storage driver.
      * Support for dual stack connections.
      * Add backup size completed/total to info command JSON output.
    - Improvements:
      * Multi-stanza check command.
      * Retry reads of pg_control until checksum is valid.
      * Optimize WAL segment check after successful backup.
      * Improve GCS multi-part performance.
      * Allow archive-get command to run when stanza is stopped.
      * Accept leading tilde in paths for SFTP public/private keys.
      * Reload GCS credentials before renewing authentication token.
    - Documentation Bug Fixes:
      * Fix configuration reference example for the tls-server-address option.
      * Fix command reference example for the filter option.
    - Test Suite Improvements:
      * Allow storage/sftp unit test to run without libssh2 installed.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 26 Sep 2023 21:30:11 +0200

pgbackrest (2.47-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Release
    - Bug Fixes:
      * Preserve block incremental info in manifest during delta backup.
      * Fix block incremental file names in verify command.
      * Fix spurious automatic delta backup on backup from standby.
      * Skip recovery.signal for PostgreSQL >= 12 when recovery type=none.
      * Fix unique label generation for diff/incr backup.
      * Fix time-based archive expiration when no backups are expired.
    - Improvements:
      * Improve performance of SFTP storage driver.
      * Add timezone offset to info command date/time output.
      * Centralize error handling for unsupported features.
    - Documentation Improvements:
      * Clarify preference to install from packages in the user guide.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 31 Jul 2023 18:08:39 +0200

pgbackrest (2.46-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Release
    - Features:
      * Block incremental backup.
      * SFTP support for repository storage.
      * PostgreSQL 16 support.
    - Improvements:
      * Allow page header checks to be skipped.
      * Avoid chown() on recovery files during restore.
      * Add error retry detail for HTTP retries.
    - Documentation Improvements:
      * Add warning about using recovery type=none.
      * Add note about running stanza-create on already-created repositories.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 02 Jun 2023 11:28:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pgbackrest
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -15,6 +16,7 @@
                libyaml-libyaml-perl (>= 0.67),
                libxml2-dev,
                libzstd-dev,
+               meson,
                perl,
                pkg-config,
                txt2man,

=== debian/rules ===
--- 
+++ 
@@ -35,4 +35,4 @@
 # pgBackRest must be configured before the TLS server can be started.
 # Moreover a user must configure valid CA, client and server certificates.
 override_dh_installsystemd:
-	dh_installsystemd --no-enable --no-start
+	dh_installsystemd --no-enable --no-start --restart-after-upgrade

## pgbackrest 2.52.1

=== meson_options.txt ===
option('configdir', type: 'string', value: '/etc/pgbackrest', description: 'Configuration directory')
option('fatal-errors', type: 'boolean', value: false, description: 'Stop compilation on first error')
option('liblz4', type: 'feature', value: 'auto', description: 'Enable LZ4 compression support')
option('libssh2', type: 'feature', value: 'auto', description: 'Enable SFTP storage support')
option('libzstd', type: 'feature', value: 'auto', description: 'Enable Zstandard compression support')

=== debian/changelog ===
pgbackrest (2.52.1-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix issue with files larger on the replica than on the primary.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 25 Jun 2024 10:17:32 +0200

pgbackrest (2.52-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New Upstream Release
    - Features:
      * Add GCS batch delete support.
      * S3 SSE-C encryption support.
      * PostgreSQL 17 support.
    - Improvements:
      * Allow explicit disabling of optional dependencies in meson builds.
      * Dynamically find python in meson build.
      * Tag pgbackrest build target in meson as installable.
    - Documentation Improvements:
      * Update start/stop documentation to reflect actual functionality.

  [ Christoph Berg ]
  * Depend on python 3.10 | python3-distutils.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 03 Jun 2024 22:25:26 +0200

pgbackrest (2.51-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New Upstream Release
    - Bug Fixes:
      * Skip zero-length files for block incremental delta restore.
    - Improvements:
      * Improved support for dual stack connections.
      * Make meson the primary build system.
      * Detect files that have not changed during non-delta incremental backup.
      * Prevent invalid recovery when backup_label removed.
      * Improve archive-push WAL segment queue handling.
      * Limit resume functionality to full backups.
      * Update resume functionality for block incremental.
      * Allow --version and --help for version and help.
      * Add detailed backtrace to autoconf/make build.
    - Documentation Improvements:
      * Update references to recovery.conf.

  [ Christoph Berg ]
  * Recognize Bradford as pgbackrest Uploader.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sun, 24 Mar 2024 22:59:51 +0000

## pgbackrest 2.53

=== debian/changelog ===
pgbackrest (2.53-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix SFTP renaming failure when file already exists.
    - Features:
      * Allow backups to run concurrently on different repositories.
      * Support IP-based SANs for TLS certificate validation.
    - Improvements:
      * Default log-level-stderr option to off.
      * Allow alternative WAL segment sizes for PostgreSQL <= 10.
      * Add hint to check SFTP authorization log.
    - Documentation Improvements:
      * Clarify archive-push multi-repo behavior.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 07 Aug 2024 18:25:20 +0200

## pgbackrest 2.53.1

=== debian/changelog ===
pgbackrest (2.53.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Aug 2024 10:11:54 +0200

pgbackrest (2.53.1-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix permissions when restore run as root user.
      * Fix segfault on delayed connection errors.
      * Skip local repository duplicate check for SFTP.
    - Improvements:
      * PostgreSQL 17beta3 support.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 19 Aug 2024 10:11:54 +0200

## pgbackrest 2.54.1

=== debian/changelog ===
pgbackrest (2.54.1-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New Upstream Release
    - Bug Fixes:
      * Fix issue with version/help commands attempting to load
        pgbackrest.conf.
    - Test Suite Improvements:
      * Stabilize async archiving in integration tests.
  * d/tests: Re-enable version test for this release.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Dec 2024 22:22:18 +0100

pgbackrest (2.54.0-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix PostgreSQL query performance for large datasets.
    - Features:
      * Allow repositories on versioned storage to be read at a target time.
      * Allow requested standby backup to proceed with no standby.
    - Improvements:
      * Summarize backup reference list for info command text output.
      * Refresh web-id token for each S3 authentication.
      * Correctly display current values for indexed options in help.
      * Save backup.info only when contents have changed.
      * Remove limitation on reading files in parallel during restore.
      * Improve SFTP error messages.
    - Documentation Features:
      * Add performance tuning section to user guide.
    - Documentation Improvements:
      * Clarify source for data_directory.
      * Better logic for deciding when a summary should be lower-cased.
  * d/tests: Disable version test for this release

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sun, 27 Oct 2024 14:13:29 +0100

## pgbackrest 2.54.2

=== debian/changelog ===
pgbackrest (2.54.2-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 21 Jan 2025 11:43:38 +0100

pgbackrest (2.54.2-1) unstable; urgency=medium

  * New Upstream Release
    - Bug Fixes:
      * Fix issue after disabling bundling with block incremental enabled.
    - Documentation Improvements:
      * Clarify behavior of multiple configuration files.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 21 Jan 2025 11:43:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pgbackrest
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
+           Bradford D. Boyle <bradford.d.boyle@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libbz2-dev,
@@ -18,7 +18,8 @@
                libzstd-dev,
                meson,
                perl,
-               pkg-config,
+               pkgconf,
+               python3 (>= 3.10) | python3-distutils,
                txt2man,
                zlib1g-dev
 Standards-Version: 4.6.2

## pgbackrest 2.55.0

=== debian/changelog ===
pgbackrest (2.55.0-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 22 Apr 2025 22:55:38 +0200

pgbackrest (2.55.0-1) unstable; urgency=medium

  * New Upstream Release.
    - Bug Fixes:
      * Fix block incremental restore issue on non-default repository.
      * Do not set recovery_target_timeline=current for PostgreSQL < 12.
      * Fix expire archive range logging.
      * Fix error reporting for queries with no results.
    - Features:
      * Verify recovery target timeline.
      * Allow verification of a specified backup.
      * Add support for S3/GCS requester pays.
      * PostgreSQL 18 experimental support.
      * Allow connections to PostgreSQL on abstract domain sockets.
      * Add numeric output to version command.
    - Improvements:
      * Allow backup command to operate on remote repositories.
      * Use lz4 for protocol compression.
      * Calculate content-md5 on S3 only when required.
      * Warn when a value for a multi-key option is overwritten.
      * Add detail logging for expired archive path.
      * Remove support for PostgreSQL 9.4.
      * Remove autoconf/make build.
    - Documentation Improvements:
      * Fix documentation for specifying multiple stanzas with
        tls-server-auth.
      * Clarify incremental backup expiration.
      * Clarify requirement for local/remote pgBackRest versions to match.
      * Add FAQ about exporting self-contained cluster.
      * Caveat --tablespace-map-all regarding tablespace creation.
      * Clarify behavior of --repo-retention-full-type.
      * Change --process-max recommendation for object stores to
        --repo-bundle.
      * Update unix_socket_directory to unix_socket_directories.
      * Recommend not placing spool-path within pg_xlog/pg_wal.
  * Bump Standards-Version to 4.7.2.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 22 Apr 2025 22:55:38 +0200

## pgbackrest 2.55.1

=== debian/changelog ===
pgbackrest (2.55.1-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:04:41 +0200

pgbackrest (2.55.1-1) unstable; urgency=medium

  * New Upstream Release.
    - Bug Fixes:
      * Revert "calculate content-md5 on S3 only when required".
      * Fix lower bounds checking for option keys.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 19 May 2025 15:03:32 +0200

## pgbackrest 2.56.0

=== meson_options.txt ===
option('configdir', type: 'string', value: '/etc/pgbackrest', description: 'Configuration directory')
option('fatal-errors', type: 'boolean', value: false, description: 'Stop compilation on first error')
option('libssh2', type: 'feature', value: 'auto', description: 'Enable SFTP storage support')
option('libzstd', type: 'feature', value: 'auto', description: 'Enable Zstandard compression support')

=== debian/changelog ===
pgbackrest (2.56.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Version works with gcc-15. (Closes: #1097572)

 -- Christoph Berg <myon@debian.org>  Sun, 07 Sep 2025 19:49:00 +0200

pgbackrest (2.56.0-1) experimental; urgency=medium

  * New Upstream Release.
    - Bug Fixes:
      * Fix issue with adhoc expiration when no backups in a repository.
    - Features:
      * Add restore progress to info command output.
      * Add progress-only detail level for info command output.
    - Improvements:
      * Retry failed reads on object stores.
      * Fix defaults in command-line help.
    - Documentation Improvements:
      * Describe discrete option values in a list where appropriate.
      * Fix "less than" in help output for archive-mode option.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 23 Jul 2025 10:50:26 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3 (>= 3.10) | python3-distutils,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

=== debian/tests/control ===
Depends: @, postgresql
Tests: version suite
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pgbackrest-$1\.tar\.gz/ \
  https://github.com/pgbackrest/pgbackrest/tags .*/v?(\d\S+)\.tar\.gz

## pgbackrest 2.57.0

=== debian/changelog ===
pgbackrest (2.57.0-1) unstable; urgency=medium

  * New Upstream Release.
    - Bug Fixes:
      * Unnest HTTP/TLS/socket timeouts.
      * Fix possible segfault in page checksum error message.
    - Features:
      * Add repo-symlink option to suppress creation of repository symlinks.
    - Improvements:
      * Add HTTP retries for 408 and 429 errors.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sun, 26 Oct 2025 13:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
            Bradford D. Boyle <bradford.d.boyle@gmail.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libbz2-dev,
                liblz4-dev,
@@ -12,9 +11,9 @@
                libssh2-1-dev,
                libssl-dev,
                libxml-checker-perl,
+               libxml2-dev,
                libyaml-dev,
                libyaml-libyaml-perl (>= 0.67),
-               libxml2-dev,
                libzstd-dev,
                meson,
                perl,

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ --sourcedirectory=src
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	# src contains a separate configure script.
-	dh_auto_configure --sourcedirectory=src -- --prefix=/usr --bindir=/usr/bin
+	dh_auto_configure -- --prefix=/usr --bindir=/usr/bin
 
 override_dh_auto_build:
 	# Replace user name in doc cache with the current user
@@ -27,7 +27,7 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
-	dh_auto_build --sourcedirectory=src
+	dh_auto_build
 
 override_dh_auto_clean:
 	! [ -f src/Makefile ] || $(MAKE) -C src clean-all

## pgbackrest 2.58.0

=== debian/changelog ===
pgbackrest (2.58.0-1) unstable; urgency=medium

  * New Upstream Release.
    - The minimum values for the repo-storage-upload-chunk-size option have
      increased. They now represent the minimum allowed by the vendors.
    - Bug Fixes:
      * Fix deadlock due to logging in signal handler.
    - Features:
      * HTTP support for S3, GCS, and Azure.
      * Allow expiration of oldest full backup regardless of current retention.
      * Support for Azure managed identities.
      * Experimental support for S3 EKS pod identity.
      * Allow configuration of TLS cipher suites.
      * Allow process priority to be set.
    - Improvements:
      * Allow dots in S3 bucket names when using path-style URIs.
      * Require TLS >= 1.2 unless verification is disabled.
      * Dynamically size S3/GCS/Azure chunks for large uploads.
      * Optimize S3/GCS/Azure chunk size for small files.
      * Remove support for PostgreSQL 9.5.
      * Improve logging of default for options with an unresolved dependency.
    - Documentation Improvements:
      * Remove explicit max_wal_senders/wal_level configuration from user guide.
      * Clarify that bundling is useful for filesystems with large block sizes.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 20 Jan 2026 09:30:58 +0100
